Bug 54429 - libcrypto.so does not define EVP_mdc2
Summary: libcrypto.so does not define EVP_mdc2
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssl   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-08 07:03 UTC by John McBride
Modified: 2009-11-17 21:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-08 07:03:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John McBride 2001-10-08 07:03:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.4) Gecko/20010917

Description of problem:
libcrypto.so does not define EVP_mdc2 although it is in the header file
evp.h. I have both openssl-0.9.6-9.i386.rpm and
openssl-devel-0.9.6-9.i386.rpm installed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1)create foo.c :

#include "openssl/evp.h"
main()
{
  EVP_mdc2();
}


2)  gcc -o foo foo.c -L/usr/lib -lcrypto

Actual Results:  /tmp/ccQBIP0C.o: In function `main':
/tmp/ccQBIP0C.o(.text+0x7): undefined reference to `EVP_mdc2'
collect2: ld returned 1 exit status


Expected Results:  no link phase error.

Additional info:

1)create foo.c :

#include "openssl/evp.h"
main()
{
  EVP_md5();
}


2)  gcc -o foo foo.c -L/usr/lib -lcrypto

(this works)

Comment 1 Mark J. Cox 2001-11-23 16:01:01 UTC
The version of OpenSSL shipped with Red Hat has serveral
patent-or-otherwise-encumbered code disabled.  This includes MDC-2, IDEA, and RC5.
(MDC-2 patent #4,908,861)

Comment 2 g.trentalancia 2009-11-17 21:42:08 UTC
MDC-2 is no longer covered by patent (the patent has expired in 2002), see https://bugzilla.redhat.com/show_bug.cgi?id=538192.


Note You need to log in before you can comment on or make changes to this bug.